<!--
 * @Author: wangyingjie 2778809626@qq.com
 * @Date: 2025-03-28 07:25:01
 * @LastEditors: wangyingjie 2778809626@qq.com
 * @LastEditTime: 2025-04-18 11:29:17
 * @FilePath: \undefinedd:\7_work\1_nnzn\1_file\能征智能_算法组_文件夹命名规范\Docker基础知识.md
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
-->

<div align='right' ><a href = "http://www.nzznusv.com" target="_blank">青岛能征智能装备有限公司</a></div>

---

<br><br>


![Logo](images/logo.png){ width=300 style="display: block; margin: 0 auto" }


<br><br><br><br><br><br>

<div align='center'> <font size = "8" face="Microsoft YaHei">青岛能征智能基础资料</font></div>

<br><br><br><br>

<div align='center'> <font size = "6" face="Microsoft YaHei">能征智能_算法组_文件夹命名规范</font></div>

<br><br>
<br><br>

<div align='center'> <font size = "8" face="Microsoft YaHei">青岛能征智能装备有限公司</font></div>


<br><br>
<div align='right' ><a href = "http://www.nzznusv.com" target="_blank">青岛能征智能装备有限公司</a></div>

---

<div align='center'> <font size = "5">修订记录</font></div>

|    日期    | 版本  | 描述 |  作者  |
| :--------: | :---: | :--: | :----: |
| 2025-04-18 | 1.0.0 | 初版 | 王英杰 |
|            |       |      |        |
|            |       |      |        |
|            |       |      |        |



<div STYLE="page-break-after: always;"></div>
<br><br>

<div align='right' ><a href = "http://www.nzznusv.com" target="_blank">青岛能征智能装备有限公司</a></div>

---

<div align='center'> <font size = "5">目录</font></div>
[TOC]

<div align='right' ><a href = "http://www.nzznusv.com" target="_blank">青岛能征智能装备有限公司</a></div>

---


 **该文件旨在 规范化 文件夹命名规范, 尤其是在Linux环境下,当所有 环境配置,代码存放位置相同,所有人代码的cmake配置,编译指令都不需要修改**

# 1. Windows

- 注意: Windows的目录名称**不区分大小写**

待定



# 2. Ubuntu

- 注意: Linux的目录名称**区分大小写**

## 环境配置目录

1. 在`home`目录下创建一个`env`目录,该目录下存放所有环境配置文件,例如 vcpkg

```bash

wub@ThinkPad-T490s:~/env$ pwd
/home/wub/env
wub@ThinkPad-T490s:~/env$ tree -L 1
.
├── vcpkg
├── vcpkg-2025.02.14.zip
└── vcpkg_info.txt

1 directory, 2 files

```

### 创建指令

```bash
mkdir ~/env/
```

## 数据文件(代码,数据,文档)

```bash

wub@ThinkPad-T490s:~/work/1_nzzn$ pwd
/home/wub/work/1_nzzn
wub@ThinkPad-T490s:~/work/1_nzzn$ tree -L 1
.
├── 1_done
├── 2_code
├── 3_data
├── 4_file
├── 5_drive
└── 6_docker

5 directories, 0 files

```

1. 在`home`目录下创建一个`work`目录,该目录下创建`1_nzzn`
2. 在`1_nzzn`目录下创建 `1_done`,`2_code`,`3_data`,`4_file`,`5_drive`,``6_docker`
     1. `1_done`存放已经完成任务的节点记录(类似于日志文档目录,**同志们做事情要有留痕**)
     2. `2_code`存放**代码**文件
     3. `3_data`存放**数据**文件(**偏向于程序所需要的文件**:程序日志文件保存, 程序读取文件, 程序输出文件...)
     4. `4_file`存放文件 (偏向于文档资料文件:传感器文档资料...)
     5. `5_drive`存放驱动文件(传感器的驱动文件或者程序:例如livox驱动程序)
     6. `6_docker`存放docker相关文件
3. 2_code 目录下创建 `1_car`, ` 2_vessel`
     1. `1_car`存放**车项目**相关代码文件
     2. `2_vessel`存放**船项目**相关代码文件


### 创建指令

```bash
mkdir -p ~/work/1_nzzn/{1_done,2_code/{1_car,2_vessel},3_data,4_file,5_drive,6_docker}

```



# 运行环境






